# $Id: perl-POE-Component-Client-Keepalive.spec 5984 2007-11-11 22:25:32Z dag $
# Authority: dries
# Upstream: Rocco Caputo <rcaputo$pobox,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name POE-Component-Client-Keepalive

Summary: Manage connections, with keep-alive
Name: perl-POE-Component-Client-Keepalive
Version: 0.1000
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/POE-Component-Client-Keepalive/

Source: http://www.cpan.org/modules/by-module/POE/POE-Component-Client-Keepalive-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
POE::Component::Client::Keepalive creates and manages connections for
other components.  It maintains a cache of kept-alive connections for
quick reuse.  It is written specifically for clients that can benefit
from kept-alive connections, such as HTTP clients.  Using it for one-
shot connections would probably be silly.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGES README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/POE/Component/Client/Keepalive.pm
%{perl_vendorlib}/POE/Component/Connection/Keepalive.pm

%changelog
* Sun Apr 29 2007 Dries Verachtert <dries@ulyssis.org> - 0.1000-1 #5984
- Updated to release 0.1000.

* Tue Sep 26 2006 Dries Verachtert <dries@ulyssis.org> - 0.0901-1
- Updated to release 0.0901.

* Fri Jun  2 2006 Dries Verachtert <dries@ulyssis.org> - 0.0801-1
- Updated to release 0.0801.

* Sun Mar 26 2006 Dries Verachtert <dries@ulyssis.org> - 0.0701-1
- Updated to release 0.0701.

* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 0.06-1.2
- Rebuild for Fedora Core 5.

* Fri Dec  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.06-1
- Initial package.
